Summary:       APIs for DOM, SAX, and JAXP in xml-commons project
Name:          xml-commons-apis
Version:       1.4.01
Release:       3%{?dist}
License:       ASL 2.0 and W3C and Public Domain
URL:           http://xml.apache.org/commons/
Source0:       https://archive.apache.org/dist/xml/commons/xml-commons-external-%{version}-src.tar.gz
Source1:       %{name}-MANIFEST.MF
Source2:       %{name}-ext-MANIFEST.MF
Source3:       https://repo1.maven.org/maven2/xml-apis/xml-apis/2.0.2/xml-apis-2.0.2.pom
Source4:       https://repo1.maven.org/maven2/xml-apis/xml-apis-ext/1.3.04/xml-apis-ext-1.3.04.pom

BuildRequires: javapackages-local ant apache-parent
BuildArch:     noarch
Provides:      xml-commons = %{version}-%{release}

%description
xml-commons-apis is designed to organize and have common packaging for the various
externally-defined standard interfaces for XML. This includes the DOM, SAX, and JAXP.

%package javadoc
Summary:       Javadoc for %{name}
Provides:      %{name}-manual = %{version}-%{release}

%description javadoc
Javadoc for %{name}

%prep
%autosetup -n external
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

iconv -f iso8859-1 -t utf-8 LICENSE.dom-documentation.txt > \
  LICENSE.dom-doc.temp && mv -f LICENSE.dom-doc.temp LICENSE.dom-documentation.txt
iconv -f iso8859-1 -t utf-8 LICENSE.dom-software.txt > \
  LICENSE.dom-sof.temp && mv -f LICENSE.dom-sof.temp LICENSE.dom-software.txt

cp %{SOURCE3} %{SOURCE4} .
sed -i '/distributionManagement/,/\/distributionManagement/ {d}' *.pom

%mvn_file :xml-apis xml-commons-apis jaxp13 jaxp xml-commons-jaxp-1.3-apis
%mvn_file :xml-apis-ext xml-commons-apis-ext
%mvn_alias :xml-apis-ext xerces:dom3-xml-apis

%build
ant -Dant.build.javac.source=1.7 -Dant.build.javac.target=1.7 jar javadoc

jar ufm build/xml-apis.jar %{SOURCE1}
jar ufm build/xml-apis-ext.jar %{SOURCE2}

%mvn_artifact xml-apis-[0-9]*.pom build/xml-apis.jar
%mvn_artifact xml-apis-ext*.pom build/xml-apis-ext.jar

%install
%mvn_install -J build/docs/javadoc

rm -rf build/docs/javadoc

%files -f .mfiles
%license LICENSE LICENSE.dom-documentation.txt LICENSE.dom-software.txt
%license LICENSE.sac.html LICENSE.sax.txt
%doc NOTICE README.dom.txt README-sax README.sax.txt

%files javadoc -f .mfiles-javadoc
%doc build/docs/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.01-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.01-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Shuo Wang <abushwang@tencent.com> - 1.4.01-1
- initial build
